> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /lever/jobs

> Get a single Lever job posting by company board handle and posting id (or a full posting URL): title, team, department, location and secondary locations, commitment, workplace type, country, opening preamble, full HTML and plain-text description, role-specific description body, structured posting sections, additional info, structured salary range and salary description, creation date, hosted and apply URLs.

**Price:** 1 credit

**⚠️ Common errors:** 412: Company board or posting not found



## OpenAPI

````yaml /openapi/jobs.json post /api/lever/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/lever/jobs:
    post:
      tags:
        - /lever
      summary: /lever/jobs
      description: >-
        Get a single Lever job posting by company board handle and posting id
        (or a full posting URL): title, team, department, location and secondary
        locations, commitment, workplace type, country, opening preamble, full
        HTML and plain-text description, role-specific description body,
        structured posting sections, additional info, structured salary range
        and salary description, creation date, hosted and apply URLs.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Company board or posting not found
      operationId: __api_lever_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LeverJobsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LeverJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LeverJobsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        company:
          type: string
          minLength: 1
        posting_id:
          type: string
          minLength: 1
      type: object
      required:
        - company
        - posting_id
    LeverJob:
      properties:
        '@type':
          type: string
          default: LeverJob
        id:
          type: string
        team:
          anyOf:
            - type: string
            - type: 'null'
        department:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        all_locations:
          items:
            type: string
          type: array
          default: []
        commitment:
          anyOf:
            - type: string
            - type: 'null'
        workplace_type:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        opening:
          anyOf:
            - type: string
            - type: 'null'
        opening_plain:
          anyOf:
            - type: string
            - type: 'null'
        description_plain:
          anyOf:
            - type: string
            - type: 'null'
        description_body:
          anyOf:
            - type: string
            - type: 'null'
        description_body_plain:
          anyOf:
            - type: string
            - type: 'null'
        sections:
          items:
            $ref: '#/components/schemas/LeverJobSection'
          type: array
          default: []
        additional:
          anyOf:
            - type: string
            - type: 'null'
        additional_plain:
          anyOf:
            - type: string
            - type: 'null'
        salary_range:
          anyOf:
            - $ref: '#/components/schemas/LeverSalaryRange'
            - type: 'null'
        salary_description:
          anyOf:
            - type: string
            - type: 'null'
        salary_description_plain:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        hosted_url:
          anyOf:
            - type: string
            - type: 'null'
        apply_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LeverJobSection:
      properties:
        '@type':
          type: string
          default: LeverJobSection
        text:
          anyOf:
            - type: string
            - type: 'null'
        content:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    LeverSalaryRange:
      properties:
        '@type':
          type: string
          default: LeverSalaryRange
        currency:
          anyOf:
            - type: string
            - type: 'null'
        interval:
          anyOf:
            - type: string
            - type: 'null'
        min:
          anyOf:
            - type: integer
            - type: 'null'
        max:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````